;
(function($){
    /**
     * 下拉复选框控件
     *
     *     @example
     *     var $root = $('<div>').css({position : 'absolute', top : 5, left : 40}).appendTo('body');
     *     var editor = new FR.OldCheckBoxEditor({
     *           renderEl : $root,
     *           directEdit : true,
     *           allowBlank : true,
     *           widgetUrl : null,         //同下拉框
     *           returnArray : true,      //返回值是否以数组形式
     *           delimiter : ',',             //字符串返回值的分隔符
     *           startSymbol : '',          //起始符
     *           endSymbol : '',           //结束符
     *           fontSize : 14,
     *           width : 120,
     *           height : 24,
     *           maxCount : 10,
     *           items : [
     *               {text : "111", value : "aaa"},
     *               {text : "222", value : "bbb"},
     *               {text : "333", value : "ccc"},
     *               {text : "444", value : "ddd"}
     *           ]
     *      });
     *
     * @class FR.OldCheckBoxEditor
     * @extends FR.CheckBoxEditor
     *
     * @cfg {String} delimiter 结果分隔符
     * @cfg {String} startSymbol 起始符
     * @cfg {String} endSymbol 结束符
     */
    FR.OldComboCheckBox = FR.extend(FR.CheckBoxEditor, /**@class FR.OldComboCheckBox */{
        _defaultConfig: function () {
            return $.extend(
                FR.OldComboCheckBox.superclass._defaultConfig.apply(), {
                    btn_up: "fr-trigger-btn-up-old",
                    btn_down: "fr-trigger-btn-click-old",
                    btn_over:"fr-trigger-btn-over-old",
                    text_focus:"fr-trigger-text-focus-old",
                    itemCheckOnClass:'.fr-checkbox-old-checkon',
                    itemCheckOffClass:'.fr-checkbox-old-checkoff'
                });
        },
        _createStyle4TriggerBtn: function () {
            this.arrow.switchClass('fr-trigger-center', 'fr-trigger-center-old');
            var $table = $('<table/>').attr({
                border: '0',
                cellPadding: '0',
                cellSpacing: '0'
            }).css({
                width: '100%',
                height: '100%'
            }).appendTo(this.btn);
            var toptr = $('<tr/>').height(1);
            toptr.append($('<td/>').addClass('fr-trigger-top-center'));
            toptr.append($('<td/>').addClass('fr-trigger-top-right'));
            toptr.appendTo($table);
            var eh = this.btn.innerHeight();

            var centertr = this.centertr = $('<tr/>');
            if (eh - 2 > 0) {
                centertr.height(eh - 2);
            }
            centertr.append($('<td/>').addClass('fr-trigger-middle-center-old')
                .append(this.arrow));
            centertr.append($('<td/>').addClass('fr-trigger-middle-right'));
            centertr.appendTo($table);
            var bottomtr = $('<tr/>').height(1);
            bottomtr.append($('<td/>').addClass('fr-trigger-bottom-center'));
            bottomtr.append($('<td/>').addClass('fr-trigger-bottom-right'));
            bottomtr.appendTo($table);
        },
        createTextComp : function(){
            return $("<div class='fr-trigger-text'></div>")
                .appendTo(this.element);
        },
        _createItemCheckBox: function(container,data){
            var self = this;
            var checkbox = new FR.OldCheckBox({
                renderEl: $("<div/>").appendTo(container),
                text: data.getShowValue(),
                value: data.getValue(),
                listeners : [{eventName : FR.Events.STATECHANGE, action : function(){
                    self.editComp.val("");
                    self.fireEvent(FR.Events.CLICK);
                    if (!this.isSelected()) {
                        self.innerCheckBox.setSelected(false);

                        //有子checkbox被勾掉, 那就不是全选了
                        if(self.inAllSelectModel){
                            self.inAllSelectModel = false;
                        }
                    }
                    else {
                        var selectedItems = $(this.options.itemCheckOnClass, self.$view);
                        if (selectedItems.length == self.ck_el_array.length) {
                            self.innerCheckBox.setSelected(true);
                        }
                    }
                    self._refreshComponentValue(this);
                    self.editComp.focus();
                }}]
            });
            return checkbox;
        },
        _createInnerCheckBox : function(){
            var self = this;
            this.$controlPane = $("<div style='display:"+"inline" + "padding-right:20px'>").addClass('fr-checkbox-control');
            return new FR.OldCheckBox({
                renderEl: $("<div/>").appendTo(self.$controlPane),
                text: FR.i18nText("FR-Engine_Choose_All") + "/" + FR.i18nText("FR-Engine_Deselect_All")
            });
        },
        fixbtnHeightValue : function(){
            return 0;
        },
        fixbtnWidthValue : function(){
            return 0;
        },
        doResize4Triggerbtn: function(give){
            this.centertr .height(give.height - 2);
        },
        getType: function () {
            return 'combocheckbox';
        }

    });
    $.shortcut("oldcombocheckbox", FR.OldComboCheckBox);
})(jQuery);