;(function($){
    /**
     * 下拉框控件
     *
     *     @example
     *     var $el = $('<div>').css({position : 'absolute', top : 5, left : 40}).appendTo('body');
     *     var editor = new FR.OldComboBoxEditor({
     *           renderEl : $el,
     *           directEdit : true,        //是否允许直接编辑
     *           allowBlank : false,      //是否允许为空
     *           widgetUrl : null,         //支持模糊搜索,异步取数请求url
     *           fontSize : 14,             //显示的字体大小
     *           width : 120,
     *           height : 24,
     *           maxCount : 3,            //一页显示的记录数
     *           sonHeight : 24,           //子项元素高度
     *           items : [            //本地取数方式,优先于widgetUrl
     *                 {text : "一一", value : "aa"},
     *                 {text : "二二", value : "bb"},
     *                 {text : "三三", value : "cc"},
     *                 {text : "四四", value : "dd"}
     *          ]
     *     });
     *
     * @class FR.OldComboBoxEditor
     * @extends FR.ComboBoxEditor
     *
     * @cfg {Number} [maxCount=10] 一页显示的记录个数
     * @cfg {Number} [sonHeight=18] 下拉框单项高度
     * @cfg {Object} [value=''] 默认值
     * @cfg {Number} [limitData=500] 单次加载的数据量
     * @cfg {Boolean} [autoFixWidth=true] 自动调整列表宽度
     * @cfg {Boolean} [allowBlank=true] 允许为空
     * @cfg {Number} fontSize 字体大小
     * @cfg {String} widgetUrl 下拉列表数据
     * @cfg {Number} width 控件宽度
     * @cfg {Number} height 控件高度
     * @cfg {Array} items 下拉列表数据，这一项优先于widgetUrl
     */
    FR.OldComboBoxEditor = FR.extend(FR.ComboBoxEditor, /**@class FR.OldComboBoxEditor */{
        _defaultConfig: function () {
            return $.extend(
                FR.OldComboBoxEditor.superclass._defaultConfig.apply(), {
                    btn_up: "fr-trigger-btn-up-old",
                    btn_down: "fr-trigger-btn-click-old",
                    btn_over:"fr-trigger-btn-over-old",
                    text_focus:"fr-trigger-text-focus-old"
                });
        },
        _createStyle4TriggerBtn: function () {
            this.arrow.switchClass('fr-trigger-center', 'fr-trigger-center-old');
            var $table = $('<table/>').attr({
                border: '0',
                cellPadding: '0',
                cellSpacing: '0'
            }).css({
                width: '100%',
                height: '100%'
            }).appendTo(this.btn);
            var toptr = $('<tr/>').height(1);
            toptr.append($('<td/>').addClass('fr-trigger-top-center'));
            toptr.append($('<td/>').addClass('fr-trigger-top-right'));
            toptr.appendTo($table);
            var eh = this.btn.innerHeight();

            var centertr = this.centertr = $('<tr/>');
            if (eh - 2 > 0) {
                centertr.height(eh - 2);
            }
            centertr.append($('<td/>').addClass('fr-trigger-middle-center-old')
                .append(this.arrow));
            centertr.append($('<td/>').addClass('fr-trigger-middle-right'));
            centertr.appendTo($table);
            var bottomtr = $('<tr/>').height(1);
            bottomtr.append($('<td/>').addClass('fr-trigger-bottom-center'));
            bottomtr.append($('<td/>').addClass('fr-trigger-bottom-right'));
            bottomtr.appendTo($table);
        },
        createTextComp : function(){
            return $("<div class='fr-trigger-text'></div>")
                .appendTo(this.element);
        },
        fixbtnHeightValue : function(){
            return 0;
        },
        fixbtnWidthValue : function(){
            return 0;
        },
        doResize4Triggerbtn: function(give){
            this.centertr .height(give.height - 2);
        },
        getType: function () {
            return 'combo';
        }

    });
    $.shortcut("oldcombo", FR.OldComboBoxEditor);
})(jQuery);