;
(function($){
    /**
     * 扁平日期（时间）控件
     *
     *     @example
     *     var editor = new FR.OldDateTimeEditor({
 *           renderEl : 'body',
 *           format : 'yyyy-MM-dd',     //日期格式
 *           startDate : "2010-08-08",  //起始日期
 *           endDate : "2010-10-10",    //结束日期
 *           editable : true,     //是否允许手动输入日期
 *           value : "2010-10-01"
 *      });
     *
     * @class FR.OldDateTimeEditor
     * @extends FR.DateTimeEditor
     * @cfg {String} [format='yyyy-MM-dd'] 日期控件值的格式
     * @cfg {Boolean} [directEdit=true] 是否可以直接编辑日期
     * */
    FR.OldDateTimeEditor = FR.extend(FR.DateTimeEditor, /**@class FR.OldDateTimeEditor */{

        _defaultConfig: function () {
            return $.extend(
                FR.OldDateTimeEditor.superclass._defaultConfig.apply(), {
                    btn_up: "fr-trigger-btn-up-old",
                    btn_down: "fr-trigger-btn-click-old",
                    btn_over:"fr-trigger-btn-over-old",
                    text_focus:"fr-trigger-text-focus-old"
                });
        },
        createTextComp : function(){
            return $("<div class='fr-trigger-text'></div>")
                .appendTo(this.element);
        },
        switchArrow:function(){
            this.arrow.switchClass('fr-trigger-center-old', 'fr-date-old-trigger-center');
        },
        _createStyle4TriggerBtn: function () {
            this.arrow.switchClass('fr-trigger-center', 'fr-trigger-center-old');
            var $table = $('<table/>').attr({
                border: '0',
                cellPadding: '0',
                cellSpacing: '0'
            }).css({
                width: '100%',
                height: '100%'
            }).appendTo(this.btn);
            var toptr = $('<tr/>').height(1);
            toptr.append($('<td/>').addClass('fr-trigger-top-center'));
            toptr.append($('<td/>').addClass('fr-trigger-top-right'));
            toptr.appendTo($table);
            var eh = this.btn.innerHeight();

            var centertr = this.centertr = $('<tr/>');
            if (eh - 2 > 0) {
                centertr.height(eh - 2);
            }
            centertr.append($('<td/>').addClass('fr-trigger-middle-center-old')
                .append(this.arrow));
            centertr.append($('<td/>').addClass('fr-trigger-middle-right'));
            centertr.appendTo($table);
            var bottomtr = $('<tr/>').height(1);
            bottomtr.append($('<td/>').addClass('fr-trigger-bottom-center'));
            bottomtr.append($('<td/>').addClass('fr-trigger-bottom-right'));
            bottomtr.appendTo($table);
        },
        fixbtnHeightValue : function(){
            return 0;
        },
        fixbtnWidthValue : function(){
            return 0;
        },
        doResize4Triggerbtn: function(give){
            this.centertr .height(give.height - 2);
        },
        getType: function () {
            return 'datetime';
        }

    });
    $.shortcut("olddatetime", FR.OldDateTimeEditor);
})(jQuery);