;
(function($){
    /**
     * 扁平文本控件
     *
     *     @example
     *     var editor = new FR.OldTextEditor({
     *             renderEl : 'body',
     *             value : 'Hello'
     *     });
     *
     * @class FR.OldTextEditor
     * @extends FR.OldEditComp
     */
    FR.OldTextEditor = FR.extend(FR.TextEditor, /**@class FR.OldTextEditor */{

        _defaultConfig: function () {
            return $.extend(FR.OldTextEditor.superclass._defaultConfig.apply(), {
                cls: 'fr-texteditor-old'
            });
        },
        getType: function () {
            return 'text';
        }

    });
    $.shortcut("oldtext", FR.OldTextEditor);
})(jQuery);

;(function($){
    /**
     * 扁平数字控件
     *
     *     @example
     *     var editor = new FR.OldNumberEditor({
     *          renderEl : 'body',
     *          allowDecimals : true,
     *          allowNegative : true,
     *          decimalPrecision : -1,
     *          autoVerify : true,
     *          decimalSeparator : ".",
     *          value : -233.455
     *     });
     *
     * @class FR.OldNumberEditor
     * @extends FR.NumberEditor
     * @cfg {Boolean} [allowDecimals=true] 是否允许小数
     * @cfg {Boolean} [allowNegative=true] 是否允许负数
     * @cfg {Number} [decimalPrecision=-1] 小数精确度
     * @cfg {String} [decimalSeparator=.] 小数分割符
     */
    FR.OldNumberEditor = FR.extend(FR.NumberEditor, /**@class FR.OldNumberEditor */{

        _defaultConfig: function () {
            return $.extend(FR.OldNumberEditor.superclass._defaultConfig.apply(), {
                cls: 'fr-texteditor'
            });
        },
        getType: function () {
            return 'number';
        }
    });
    $.shortcut("oldnumber", FR.OldNumberEditor);
})(jQuery);

;(function($){
    /**
     * 扁平文本域控件
     * @class FR.OldTextArea
     * @extends FR.TextArea
     * @cfg {Boolean} [multiline=false] 是否支持多行显示
     */
    FR.OldTextArea = FR.extend(FR.TextArea, /**@class FR.OldTextArea */{

        _defaultConfig: function () {
            return $.extend(FR.OldTextArea.superclass._defaultConfig.apply(), {
                cls: 'fr-texteditor'
            });
        },
        getType: function () {
            return 'textarea';
        }

    });
    $.shortcut("oldtextarea", FR.OldTextArea);
})(jQuery);

;
(function($){
    /**
     * 扁平密码控件
     * @class FR.OldPassword
     * @extends FR.Password
     * @cfg {Boolean} [passwordText=false] 是否是密码文本
     */
    FR.OldPassword = FR.extend(FR.Password, /**@class FR.OldPassword */{

        _defaultConfig: function () {
            return $.extend(FR.OldPassword.superclass._defaultConfig.apply(), {
                cls: 'fr-texteditor'
            });
        },
        getType: function () {
            return 'password';
        }
    });
    $.shortcut("oldpassword", FR.OldPassword);
})(jQuery);